# Anleitung zur Erstellung und Zuweisung von Dynamischen Feldern in Otobo

## Einführung
Dynamische Felder in Otobo ermöglichen es, benutzerdefinierte Informationen in Tickets, Artikeln oder anderen Modulen zu speichern. Diese Anleitung beschreibt, wie Sie ein dynamisches Feld erstellen und konfigurieren können, sowie dessen Zuweisung zu bestimmten Masken.

---

## Schritte zur Erstellung eines Dynamischen Feldes

### 1. Anmeldung
Melden Sie sich im **Admin-Interface** von Otobo mit Administratorrechten an.

---

### 2. Neues Dynamisches Feld erstellen
1. Navigieren Sie zu **Admin > Dynamische Felder**.
2. Klicken Sie auf **Neues dynamisches Feld**.
3. Konfigurieren Sie die folgenden Einstellungen:
   - **Name:** Geben Sie einen eindeutigen Systemnamen ein, z. B. `Arbeitsschritt`.
   - **Label:** Geben Sie eine benutzerfreundliche Bezeichnung ein, die in der Oberfläche angezeigt wird.
   - **Objekttyp:** Wählen Sie das Modul, dem das Feld zugewiesen werden soll, z. B. `Artikel` oder `Ticket`.
   - **Feldtyp:** Wählen Sie den Typ des Feldes, z. B. `Text`, `Dropdown` oder `Checkbox`.
   - **Optionen (falls relevant):** Geben Sie mögliche Werte für das Feld ein, wenn Sie z. B. ein Dropdown-Menü verwenden möchten.

4. Klicken Sie auf **Speichern**, um das Feld zu erstellen.

---

### 3. Zuweisung des Dynamischen Feldes
Nachdem das dynamische Feld erstellt wurde, können Sie es zu bestimmten Masken oder Modulen hinzufügen:

1. **Navigieren Sie zu den Zuweisungseinstellungen:**
   - Öffnen Sie das dynamische Feld, das Sie gerade erstellt haben.
   - Scrollen Sie nach unten zum Bereich **Zuweisung der Felder**.

2. **Zuweisung der Masken:**
   - Wählen Sie die gewünschten Masken oder Module, in denen das dynamische Feld sichtbar sein soll.
   - Beispiel für häufig genutzte Masken:
     - **AgentTicketCompose:** Maske zum Verfassen von Tickets.
     - **AgentTicketNote:** Maske für Notizen in einem Ticket.
     - **AgentTicketZoom:** Maske zur Ticket-Detailansicht.
   - Markieren Sie die entsprechenden Elemente und klicken Sie auf **Übermitteln**.

3. **Pflichteinstellungen (optional):**
   - Wenn das Feld in bestimmten Masken zwingend ausgefüllt werden muss, markieren Sie diese Masken unter **Zugewiesene Pflichtelemente**.

---

## Schritte zur Verwendung des Dynamischen Feldes
1. Das dynamische Feld ist jetzt in den zugewiesenen Masken sichtbar.
2. Füllen Sie das Feld bei der Arbeit mit Tickets oder Artikeln aus.
3. Die Werte werden automatisch in der Datenbank gespeichert und können für Berichte oder Analysen abgerufen werden.

---

## Zusätzliche Hinweise
- **Berichte:** Dynamische Felder können in Berichten verwendet werden. Navigieren Sie dazu zu **Admin > Berichte**, um dynamische Felder in Exporten einzubinden.
- **Datenbank:** Die Werte dynamischer Felder werden in der Tabelle `dynamic_field_value` gespeichert. Diese können Sie über SQL-Abfragen abrufen.

---

## Beispiel für Zuweisungen
Hier sind einige gängige Masken, die Sie für das dynamische Feld auswählen können:

- **AgentTicketArticleEdit**: Bearbeiten von Artikeln.
- **AgentTicketCompose**: Ticket verfassen.
- **AgentTicketClose**: Ticket schliessen.
- **AgentTicketZoom**: Ticket-Detailansicht.
- **AgentTicketNote**: Notizen in einem Ticket hinzufügen.
- **AgentTicketArticleEdit**
 - **AgentTicketCIose**
 - **AgentTicketCompose**
 - **AgentTicketEmaiI**
 - **AgentTicketEmailOutbound**
 - **AgentTicketEscaIationView**
 - **AgentTicketForward**
 - **AgentTicketFreeText**
 - **AgentTicketLockedView**
 - **AgentTickeWIove**
 - **AgentTicketNote**
 - **AgentTicketOwner**
 - **AgentTicketPending**
 - **AgentTicketPhone**
 - **AgentTicketPhonelnbound**
 - **AgentTicketPhoneOutbound**
 - **AgentTicketPrint**
 - **AgentTicketPriority**
 - **AgentTicketQueue**



